﻿/*#region ----------------------------------------------------------------------------- CORE MODAL ----------------------------------------------------------------------------- */

.modal-aplicacao {
    display: none;
    position: fixed;
    background-color: white;
    transition: 0.5s;
    border: 1px solid #999;
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 6px;
    outline: 0;
    -webkit-box-shadow: 0 3px 9px rgba(0,0,0,0.5);
    box-shadow: 0 3px 9px rgba(0,0,0,0.5);
    background-clip: padding-box;
}

.modal-aplicacao-x {
    display: none;
    position: fixed;
    background-color: white;
    transition: 0.5s;
    border: 1px solid #999;
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 6px;
    outline: 0;
    -webkit-box-shadow: 0 3px 9px rgba(0,0,0,0.5);
    box-shadow: 0 3px 9px rgba(0,0,0,0.5);
    background-clip: padding-box;
}

.modal-aplicacao-y {
    display: none;
    position: fixed;
    background-color: white;
    transition: 0.5s;
    border: 1px solid #999;
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 6px;
    outline: 0;
    -webkit-box-shadow: 0 3px 9px rgba(0,0,0,0.5);
    box-shadow: 0 3px 9px rgba(0,0,0,0.5);
    background-clip: padding-box;
}

.modal-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 400;
}

.modal-mensagem-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 500;
}




.modal-mensagem-background2 {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 600;
}

.conteudo-modal {
    float: left;
    width: 100%;
    height: 80%;
    overflow-y: overlay;
    padding: 15px;
    /*    padding: 15px;*/
}

.cabecalho-modal {
    float: left;
    width: 100%;
}

.titulo-modal {
    color: #3d7ea8;
    font-weight: bold;
}

.titulo-modal-delete {
    color: #ff0000;
    font-weight: bold;
}

.botao-modal-delete {
    background-color: #59762a;
    color: white;
}

.botao-modal-cancela {
    background-color: #243834;
    color: white;
}

botao-modal-cancela:hover {
    color: green;
}


.titulo-sucesso {
    color: green;
    font-weight: bold;
}

.titulo-aviso {
    color: orange;
    font-weight: bold;
}

.titulo-problema {
    color: red;
    font-weight: bold;
}

.rodape-modal {
    width: 100%;
    text-align: left !important;
}

    .rodape-modal button {
        margin-left: 75%;
    }

/*#endregion */

/*#region ----------------------------------------------------------------------------- TIPOS MODAL ----------------------------------------------------------------------------- */

.modal-mensagem-x {
    top: 3% !important;
    right: 3% !important;
    left: 3% !important;
    bottom: 3% !important;
    z-index: 800;
}

.labelPreencherData {
    color: red;
    font-weight: bold;
    position: relative;
    top: 4vh;
}

.modal-mensagem-y {
    top: 36% !important;
    right: 25% !important;
    left: 25% !important;
    bottom: 37% !important;
    z-index: 800;
}

.modal-mensagem {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 500;
}

.modal-mensagem-limpeza {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 600;
}

.modal-mensagem2 {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 700;
}


.modal-mensagem3 {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 699;
}

.modal-confirmacao {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 500;
}

.modal-conteudo {
    float: left;
    width: 100%;
    height: 80%;
    overflow-y: overlay;
    padding: 15px;
}

.modal-conteudo-x {
    float: left;
    width: 100%;
    height: 100%;
    overflow-y: overlay;
    padding: 15px;
}

.modal-conteudo-y {
    float: left;
    width: 100%;
    height: 100%;
    overflow-y: overlay;
    padding: 15px;
}

.modal-filtros {
    top: 20% !important;
    right: 34% !important;
    left: 34% !important;
    z-index: 420;
}

.modal-informacoes {
    top: 10% !important;
    right: 15% !important;
    left: 15% !important;
    z-index: 420;
}

.modal-maior {
    top: 10%;
    left: 1%;
    right: 1%;
    overflow: hidden;
    bottom: 10%;
}

.modal-medio {
    top: 30% !important;
    right: 25% !important;
    left: 25% !important;
    z-index: 450;
}

/*#endregion */

/*#region ----------------------------------------------------------------------------- MODAL EMAIL PDF ----------------------------------------------------------------------------- */
.modal-pdf {
    top: 30% !important;
    right: 35% !important;
    left: 35% !important;
    z-index: 500;
}

/*#region ----------------------------------------------------------------------------- MODAL AÇÃO ----------------------------------------------------------------------------- */
.modal-acao {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 500;
}

.modal-acao-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 400;
}

.modal-conteudo-acao {
    float: left;
    width: 100%;
    height: 80%;
    overflow-y: overlay;
}

.modal-acesso {
    top: 18% !important;
    right: 21% !important;
    left: 21% !important;
    z-index: 500;
}

    .modal-acesso label {
        padding-left: 1vh;
    }
/*#endregion */


.RbtnListClass {
    display: grid;
    line-height: 3vh;
    align-content: space-evenly;
}

.ListRolagemEPaginação {
    white-space: break-spaces;
}

.liControleTelas {
    list-style: none;
}

/*#region ----------------------------------------------------------------------------- MODAL ANEXOS ----------------------------------------------------------------------------- */
.modal-anexos-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 400;
}

.modal-anexos {
    top: 7% !important;
    right: 7% !important;
    left: 7% !important;
    bottom: 7% !important;
    z-index: 500;
}

.modal-conteudo-anexos {
    float: left;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.slide-wraper {
    overflow: hidden;
    position: relative;
    width: 185vh;
    height: 76vh;
    margin-top: 3%;
}

.slide {
    padding: 0px;
    margin: 0px;
    list-style: none;
    display: flex;
}

#LblAnexos {
    font-weight: bold;
    font-size: 2.5vh;
    color: black;
    padding-right: 47%;
}

.slide img {
    width: 100%;
    height: 100%;
    display: block;
}

.slide:hover {
    will-change: transform;
}

.slide li {
    width: 80vh;
    height: 68vh;
    flex-shrink: 0;
    /*max-width: 118vh;*/
    margin: 0 20px;
    border-radius: 4px;
    overflow: hidden;
    box-shadow: 0 2px 4px black;
    opacity: 0.8;
    transform: scale(0.8);
    transition: .4s;
}

    .slide li.active {
        opacity: 1;
        transform: scale(1);
    }

.prev {
    position: absolute;
    top: 92%;
    margin-left: 23%;
}

.next {
    position: absolute;
    top: 92%;
    margin-left: 73%;
}

[data-control="slide"] {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    padding-left: 0px;
}

    [data-control="slide"] li {
        display: block;
        width: 12px;
        height: 12px;
        background: black;
        border-radius: 50%;
        overflow: hidden;
        text-indent: -999px;
        margin: 5px;
    }

        [data-control="slide"] li a {
            display: block;
            width: 12px;
            height: 12px;
            background: black;
            border-radius: 50%;
            overflow: hidden;
            text-indent: -999px;
        }

            [data-control="slide"] li.active a, [data-control="slide"] li a:hover {
                background: blue;
            }

@media only screen and (max-width: 991px) {
    #LblAnexos {
        font-weight: bold;
        font-size: 2.5vh;
        color: black;
        padding-right: 44%;
    }

    .slide-wraper {
        overflow: hidden;
        position: relative;
        width: 142vh;
        height: 76vh;
        margin-top: 3%;
    }

    .slide li {
        width: 68vh;
        height: 63vh;
        flex-shrink: 0;
        /*max-width: 118vh;*/
        margin: 0 20px;
        border-radius: 4px;
        overflow: hidden;
        box-shadow: 0 2px 4px black;
        opacity: 0.8;
        transform: scale(0.8);
        transition: .4s;
    }

    .prev {
        position: absolute;
        top: 92%;
        margin-left: 21%;
    }

    .next {
        position: absolute;
        top: 92%;
        margin-left: 77%;
    }
}

@media only screen and (min-width: 1367px) {
    .slide-wraper {
        overflow: hidden;
        position: relative;
        width: 169vh;
        height: 76vh;
        margin-top: 3%;
    }
}
/*#endregion */


.modal-justificar {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 400;
}

.modal-justificar-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 300;
}

.modal-verJustificar {
    top: 30% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 400;
}

.modal-verJustificar-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 300;
}

.modal-Semanal {
    top: 20% !important;
    right: 30% !important;
    left: 30% !important;
    z-index: 400;
}

.modal-Semanal-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 300;
}
/*#region ----------------------------------------------------------------------------- MODAL AÇÃO ----------------------------------------------------------------------------- */
.modal-imagens {
    top: 5% !important;
    right: 20% !important;
    left: 20% !important;
    z-index: 400;
}

.buttonVoltarModal {
    background-color: red;
    color: white;
    border-radius: 4px;
    height: 5vh;
    width: 15vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .buttonVoltarModal:hover {
        text-decoration: none;
        color: white;
    }

.modal-imagens-background {
    top: 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: black;
    opacity: 0.5;
    z-index: 200;
}
/*#endregion */
